export enum Currency {
  AED = 'AED', // 'UNITED ARAB EMIRATES DIRHAM'
  AFN = 'AFN', // 'AFGHAN AFGHANI'
  ALL = 'ALL', // 'ALBANIAN LEK'
  AMD = 'AMD', // 'ARMENIAN DRAM'
  ANG = 'ANG', // 'NETHERLANDS ANTILLEAN GUILDER'
  AOA = 'AOA', // 'ANGOLAN KWANZA'
  ARS = 'ARS', // 'ARGENTINE PESO'
  AUD = 'AUD', // 'AUSTRALIAN DOLLAR'
  AWG = 'AWG', // 'ARUBAN FLORIN'
  AZN = 'AZN', // 'AZERBAIJANI MANAT'
  BAM = 'BAM', // 'BOSNIA-HERZEGOVINA CONVERTIBLE MARK'
  BBD = 'BBD', // 'BAJAN DOLLAR'
  BDT = 'BDT', // 'BANGLADESHI TAKA'
  BGN = 'BGN', // 'BULGARIAN LEV'
  BHD = 'BHD', // 'BAHRAINI DINAR'
  BIF = 'BIF', // 'BURUNDIAN FRANC'
  BMD = 'BMD', // 'BERMUDAN DOLLAR'
  BND = 'BND', // 'BRUNEI DOLLAR'
  BOB = 'BOB', // 'BOLIVIAN BOLIVIANO'
  BRL = 'BRL', // 'BRAZILIAN REAL'
  BSD = 'BSD', // 'BAHAMIAN DOLLAR'
  BTN = 'BTN', // 'BHUTAN CURRENCY'
  BWP = 'BWP', // 'BOTSWANAN PULA'
  BYN = 'BYN', // 'NEW BELARUSIAN RUBLE'
  BYR = 'BYR', // 'BELARUSIAN RUBLE'
  BZD = 'BZD', // 'BELIZE DOLLAR'
  CAD = 'CAD', // 'CANADIAN DOLLAR'
  CDF = 'CDF', // 'CONGOLESE FRANC'
  CHF = 'CHF', // 'SWISS FRANC'
  CLF = 'CLF', // 'CHILEAN UNIT OF ACCOUNT (UF)'
  CLP = 'CLP', // 'CHILEAN PESO'
  CNY = 'CNY', // 'CHINESE YUAN'
  COP = 'COP', // 'COLOMBIAN PESO'
  CRC = 'CRC', // 'COSTA RICAN COLÓN'
  CUC = 'CUC', // 'CUBAN CONVERTIBLE PESO'
  CUP = 'CUP', // 'CUBAN PESO'
  CVE = 'CVE', // 'CAPE VERDEAN ESCUDO'
  CVX = 'CVX', // 'CONVEX FINANCE'
  CZK = 'CZK', // 'CZECH KORUNA'
  DJF = 'DJF', // 'DJIBOUTIAN FRANC'
  DKK = 'DKK', // 'DANISH KRONE'
  DOP = 'DOP', // 'DOMINICAN PESO'
  DZD = 'DZD', // 'ALGERIAN DINAR'
  EGP = 'EGP', // 'EGYPTIAN POUND'
  ERN = 'ERN', // 'ERITREAN NAKFA'
  ETB = 'ETB', // 'ETHIOPIAN BIRR'
  ETC = 'ETC', // 'ETHEREUM CLASSIC'
  EUR = 'EUR', // 'EURO'
  FEI = 'FEI', // 'FEI USD'
  FJD = 'FJD', // 'FIJIAN DOLLAR'
  FKP = 'FKP', // 'FALKLAND ISLANDS POUND'
  GBP = 'GBP', // 'POUND STERLING'
  GEL = 'GEL', // 'GEORGIAN LARI'
  GHS = 'GHS', // 'GHANAIAN CEDI'
  GIP = 'GIP', // 'GIBRALTAR POUND'
  GMD = 'GMD', // 'GAMBIAN DALASI'
  GNF = 'GNF', // 'GUINEAN FRANC'
  GTQ = 'GTQ', // 'GUATEMALAN QUETZAL'
  GYD = 'GYD', // 'GUYANAESE DOLLAR'
  HKD = 'HKD', // 'HONG KONG DOLLAR'
  HNL = 'HNL', // 'HONDURAN LEMPIRA'
  HRK = 'HRK', // 'CROATIAN KUNA'
  HTG = 'HTG', // 'HAITIAN GOURDE'
  HUF = 'HUF', // 'HUNGARIAN FORINT'
  ICP = 'ICP', // 'INTERNET COMPUTER'
  IDR = 'IDR', // 'INDONESIAN RUPIAH'
  ILS = 'ILS', // 'ISRAELI NEW SHEKEL'
  INR = 'INR', // 'INDIAN RUPEE'
  IQD = 'IQD', // 'IRAQI DINAR'
  IRR = 'IRR', // 'IRANIAN RIAL'
  ISK = 'ISK', // 'ICELANDIC KRÓNA'
  JEP = 'JEP', // 'JERSEY POUND'
  JMD = 'JMD', // 'JAMAICAN DOLLAR'
  JOD = 'JOD', // 'JORDANIAN DINAR'
  JPY = 'JPY', // 'JAPANESE YEN'
  KES = 'KES', // 'KENYAN SHILLING'
  KGS = 'KGS', // 'KYRGYSTANI SOM'
  KHR = 'KHR', // 'CAMBODIAN RIEL'
  KMF = 'KMF', // 'COMORIAN FRANC'
  KPW = 'KPW', // 'NORTH KOREAN WON'
  KRW = 'KRW', // 'SOUTH KOREAN WON'
  KWD = 'KWD', // 'KUWAITI DINAR'
  KYD = 'KYD', // 'CAYMAN ISLANDS DOLLAR'
  KZT = 'KZT', // 'KAZAKHSTANI TENGE'
  LAK = 'LAK', // 'LAOTIAN KIP'
  LBP = 'LPB', // 'LEBANESE POUND'
  LKR = 'LKR', // 'SRI LANKAN RUPEE'
  LRD = 'LRD', // 'LIBERIAN DOLLAR'
  LSL = 'LSL', // 'LESOTHO LOTI'
  LTL = 'LTL', // 'LITHUANIAN LITAS'
  LVL = 'LVL', // 'LATVIAN LATS'
  LYD = 'LYD', // 'LIBYAN DINAR'
  MAD = 'MAD', // 'MOROCCAN DIRHAM'
  MDL = 'MDL', // 'MOLDOVAN LEU'
  MGA = 'MGA', // 'MALAGASY ARIARY'
  MKD = 'MKD', // 'MACEDONIAN DENAR'
  MMK = 'MMK', // 'MYANMAR KYAT'
  MNT = 'MNT', // 'MONGOLIAN TUGRIK'
  MOP = 'MOP', // 'MACANESE PATACA'
  MRO = 'MRO', // 'MAURITANIAN OUGUIYA'
  MUR = 'MUR', // 'MAURITIAN RUPEE'
  MVR = 'MVR', // 'MALDIVIAN RUFIYAA'
  MWK = 'MWK', // 'MALAWIAN KWACHA'
  MXN = 'MXN', // 'MEXICAN PESO'
  MYR = 'MYR', // 'MALAYSIAN RINGGIT'
  MZN = 'MZN', // 'MOZAMBICAN METICAL'
  NAD = 'NAD', // 'NAMIBIAN DOLLAR'
  NGN = 'NGN', // 'NIGERIAN NAIRA'
  NIO = 'NIO', // 'NICARAGUAN CÓRDOBA'
  NOK = 'NOK', // 'NORWEGIAN KRONE'
  NPR = 'NPR', // 'NEPALESE RUPEE'
  NZD = 'NZD', // 'NEW ZEALAND DOLLAR'
  OMR = 'OMR', // 'OMANI RIAL'
  ONE = 'ONE', // 'MENLO ONE'
  PAB = 'PAB', // 'PANAMANIAN BALBOA'
  PGK = 'PGK', // 'PAPUA NEW GUINEAN KINA'
  PHP = 'PHP', // 'PHILIPPINE PESO'
  PKR = 'PKR', // 'PAKISTANI RUPEE'
  PLN = 'PLN', // 'POLAND ZŁOTY'
  PYG = 'PYG', // 'PARAGUAYAN GUARANI'
  QAR = 'QAR', // 'QATARI RIAL'
  RON = 'RON', // 'ROMANIAN LEU'
  RSD = 'RSD', // 'SERBIAN DINAR'
  RUB = 'RUB', // 'RUSSIAN RUBLE'
  RWF = 'RWF', // 'RWANDAN FRANC'
  SAR = 'SAR', // 'SAUDI RIYAL'
  SBD = 'SBD', // 'SOLOMON ISLANDS DOLLAR'
  SCR = 'SCR', // 'SEYCHELLOIS RUPEE'
  SDG = 'SDG', // 'SUDANESE POUND'
  SEK = 'SEK', // 'SWEDISH KRONA'
  SGD = 'SGD', // 'SINGAPORE DOLLAR'
  SHP = 'SHP', // 'SAINT HELENA POUND'
  SLL = 'SLL', // 'SIERRA LEONEAN LEONE'
  SOS = 'SOS', // 'SOMALI SHILLING'
  SRD = 'SRD', // 'SURINAMESE DOLLAR'
  STD = 'STD', // 'SÃO TOMÉ AND PRÍNCIPE DOBRA (PRE-2018)'
  SVC = 'SVC', // 'SALVADORAN COLÓN'
  SYP = 'SYP', // 'SYRIAN POUND'
  SZL = 'SZL', // 'SWAZI LILANGENI'
  THB = 'THB', // 'THAI BAHT'
  TJS = 'TJS', // 'TAJIKISTANI SOMONI'
  TMT = 'TMT', // 'TURKMENISTANI MANAT'
  TND = 'TND', // 'TUNISIAN DINAR'
  TOP = 'TOP', // "TONGAN PA'ANGA"
  TRY = 'TRY', // 'TURKISH LIRA'
  TTD = 'TTD', // 'TRINIDAD & TOBAGO DOLLAR'
  TWD = 'TWD', // 'NEW TAIWAN DOLLAR'
  TZS = 'TZS', // 'TANZANIAN SHILLING'
  UAH = 'UAH', // 'UKRAINIAN HRYVNIA'
  UGX = 'UGX', // 'UGANDAN SHILLING'
  USD = 'USD', // 'UNITED STATES DOLLAR'
  UYU = 'UYU', // 'URUGUAYAN PESO'
  UZS = 'UZS', // 'UZBEKISTANI SOM'
  VND = 'VND', // 'VIETNAMESE DONG'
  VUV = 'VUV', // 'VANUATU VATU'
  WST = 'WST', // 'SAMOAN TALA'
  XAF = 'XAF', // 'CENTRAL AFRICAN CFA FRANC'
  XCD = 'XCD', // 'EAST CARIBBEAN DOLLAR'
  XOF = 'XOF', // 'WEST AFRICAN CFA FRANC'
  XPF = 'XPF', // 'CFP FRANC'
  YER = 'YER', // 'YEMENI RIAL'
  ZAR = 'ZAR', // 'SOUTH AFRICAN RAND'
  ZMW = 'ZMW', // 'ZAMBIAN KWACHA'
  ZWL = 'ZWL', // 'ZIMBABWEAN DOLLAR'
}

export const CURRENCY_OPTIONS = Object.entries(Currency).map(
  ([key, value]) => ({
    label: key,
    value,
  }),
);

export function getCurrencyForCountry(
  countryCode: string | null = 'US',
): Currency {
  // Source: https://github.com/srcagency/country-currencies/blob/master/data.json
  switch (countryCode) {
    case 'AU':
    case 'CX':
    case 'CC':
    case 'HM':
    case 'KI':
    case 'NF':
    case 'NR':
    case 'TV':
      return Currency.AUD;
    case 'AD':
    case 'AT':
    case 'AX':
    case 'BE':
    case 'BL':
    case 'CY':
    case 'DE':
    case 'EE':
    case 'ES':
    case 'FI':
    case 'FR':
    case 'GF':
    case 'GP':
    case 'GR':
    case 'IE':
    case 'IT':
    case 'LT':
    case 'LU':
    case 'LV':
    case 'MC':
    case 'ME':
    case 'MF':
    case 'MQ':
    case 'MT':
    case 'NL':
    case 'PM':
    case 'PT':
    case 'RE':
    case 'SI':
    case 'SK':
    case 'SM':
    case 'TF':
    case 'VA':
    case 'WS':
    case 'YT':
      return Currency.EUR;
    case 'GS':
    case 'GB':
    case 'JE':
    case 'IM':
      return Currency.GBP;
    case 'CA':
      return Currency.CAD;
    case 'SG':
      return Currency.SGD;
    case 'JP':
      return Currency.JPY;
    case 'BT':
    case 'IN':
      return Currency.INR;
    case 'BV':
    case 'NO':
    case 'SJ':
      return Currency.NOK;
    case 'BR':
      return Currency.BRL;
    case 'CN':
      return Currency.CNY;
    case 'DK':
    case 'FO':
    case 'GL':
      return Currency.DKK;
    case 'TP':
    case 'ID':
      return Currency.IDR;
    case 'KP':
      return Currency.KPW;
    case 'KR':
      return Currency.KRW;
    case 'CH':
      return Currency.CHF;
    case 'MY':
      return Currency.MYR;
    case 'MX':
      return Currency.MXN;
    case 'NG':
      return Currency.NGN;
    case 'PH':
      return Currency.PHP;
    case 'PL':
      return Currency.PLN;
    case 'RU':
      return Currency.RUB;
    case 'SA':
      return Currency.SAR;
    case 'TW':
      return Currency.TWD;
    case 'TH':
      return Currency.THB;
    case 'TR':
      return Currency.TRY;
    case 'VN':
      return Currency.VND;
    case 'US':
    default:
      return Currency.USD;
  }
}
