---
title: Resume improvement case study
slug: resume-improvement-case-study
author: Yangshun Tay
author_title: Engineering Lead at Facebook
author_url: https://github.com/yangshun
author_image_url: https://github.com/yangshun.png
tags: [career, resume]
hide_table_of_contents: true
---

import TeikjunResumeOldURL from '@site/static/img/teik-jun-resume-old.png'; import TeikjunResumeNewURL from '@site/static/img/teik-jun-resume-new.png';

As an example of putting the Resume tips to practice, let's reviewing [Teik Jun's](https://github.com/teikjun) resume, critiquing it and improving it. At the time of writing, Teik Jun is a Year 4 undergraduate at National University of Singapore and is looking for a Software Engineering (SWE) internship for the summer of 2022.

<!-- truncate -->

Here's the initial version of Teik Jun's resume I received from him.

<div className="text--center">
  <figure>
    <img alt="Teik Jun's initial resume" className="shadow--md" src={TeikjunResumeOldURL} />
    <figcaption>Teik Jun's initial resume</figcaption>
  </figure>
</div>

On first glance, it looks like a solid resume, and it is. However, I've known Teik Jun for a few years now since the [Major League Hacking (MLH) Fellowship program](https://fellowship.mlh.io/) where he [contributed a ton of features to Docusaurus v2](https://github.com/facebook/docusaurus/commits?author=teikjun), and know that he has done even greater things in the past. This version of his resume doesn't do his skills justice. Let's see how we can improve it by applying the points learnt in the previous section.

## Resume critique

### Good

- Demonstrates diverse and full stack experience - Has experience in front end, building web applications, JavaScript tooling, payments infrastructure and blockchain
- Diverse interests and abilities - Open Source, AI and Machine Learning, Front End, Algorithms TA, Hackathons
- Clean formatting which is easily readable
- Reverse chronological order
- Straightforward, bullet point format

### Points of improvement

- **Irrelevant experience** - It's honestly super cool to be "Best Shot" of Sniper Course and to get other impressive accolades as an NSF, but it's hardly relevant to a SWE job. If I were running out of space I'd remove it.
- **Not sufficiently conveying the impressiveness of his experience** - Teik Jun's work on the MLH program was for a popular Facebook Open Source project, Docusaurus (the same project that powers this website) and he did very very good work as part of the program. I know because I reviewed his Pull Requests and he did a damn good job. Docusaurus is an important project to Facebook and widely used by popular Facebook projects like React Native, Jest, and Relay.
- **Not explaining what the project is about** - In most cases, recruiters are the ones reading a resume and they would not know what a project is about, especially when most of them aren't technical. Hence resumes also have to explain the complexity and impact of a project. I know what Docusaurus and TEAMMATES are, but that's because I worked on Docusaurus and I am aware of NUS' projects. Most recruiters would not, so we have to explain what they are. TEAMMATES was also a Google Summer of Code project, so mentioning that would be nice.
- **Trivial details** - Under TEAMMATES, there was a point "Added a progress indicator component for expensive operations". This sounds quite small and can be removed if there's a lack of space.
- **Obscure projects** - The "Mentorship Management Web Application" doesn't sufficiently relay the complexity. The details are also obvious and doesn't sound impressive. I'd remove this project because it doesn't add much value.
- **Contributions to Open Source projects** - Any project can be made open source and contributing to your own open source homework doesn't mean much. What makes open source contributions impressive would be the complexity of the project and the contributions made. The latter might be hard to fit into a resume, so we should do the former at the very least.

### Bonus

I know that Teik Jun will be interning with ByteDance in the fall, so it could be added as a signal of Teik Jun's abilities, telling recruiters that he's good enough to work at ByteDance.

## Improved version

Here's an improved version of Teik Jun's resume which I feel which better highlights Teik Jun's abilities. Main changes made were:

- Added more important keywords - ByteDance (future internship), Facebook (MLH collaboration), Google (TEAMMATES was a Google Summer of Code project for a few years).
- Removed redundant and unimportant details.
- Added links to certain projects to make it more convenient for recruiters who want to gain more context of the projects listed.

In my opinion, this improved resume is sure to capture the eyes of any recruiter in the world!

<div className="text--center">
  <figure>
    <img alt="Teik Jun's improved resume" className="shadow--md" src={TeikjunResumeNewURL} />
    <figcaption>Teik Jun's improved resume</figcaption>
  </figure>
</div>
