---
id: career-growth
title: 📈 Career growth
---

_The following page is written in collaboration with [Jordan Cutler](https://www.linkedin.com/in/jordancutler1/) — Author of ["High Growth Engineer" newsletter](https://read.highgrowthengineer.com/)._

After being hired, it's crucial to focus on your career growth so you don't stagnate. This page gives you the resources to get promoted and improve your skill set as an engineer.

## Newsletters

- [High Growth Engineer](https://read.highgrowthengineer.com/)
- [The Developing Dev](https://www.developing.dev/)
- [The Pragmatic Engineer](https://newsletter.pragmaticengineer.com/)
- [Level Up Software Engineering](https://levelupsoftwareengineering.substack.com/)
- [Peak Performance](https://addyo.substack.com/)
- [Engineer's Codex](https://read.engineerscodex.com/)
- [Techlead Mentor](https://newsletter.techleadmentor.com/)
- [The Caring Techie](https://www.thecaringtechie.com/)
- [Refactoring](https://refactoring.fm/)
- [Strategize Your Career](https://strategizeyourcareer.com/)
- [Hungry Minds](https://www.hungryminds.dev/)
- [Saiyan Growth Letter](https://www.saiyangrowthletter.com/)
- [Data Engineering Newsletter](https://blog.dataengineer.io/)
- [16x Engineer](https://16x.engineer/)

## Books

- [Software Engineer's Guidebook](https://www.amazon.com/Software-Engineers-Guidebook-Navigating-positions/dp/908338182X)
- [Engineers Survival Guide](https://www.amazon.com/Engineers-Survival-Guide-Facebook-Microsoft/dp/B09MBZBGFK)
- [The Coding Career Handbook](https://learninpublic.org/)
- [The Complete Software Developer's Career Guide](https://www.amazon.com/Complete-Software-Developers-Career-Guide-ebook/dp/B073X6GNJ1)
- [Omar Halabieh 90-day career blueprint](https://www.omarhalabieh.com/90-day-career-blueprint/)
- [StaffEng.com – Stories of reaching Staff-plus engineering roles](https://staffeng.com/)
- [Get Promoted](https://www.amazon.com/Get-Promoted-Really-Missing-Holding-ebook/dp/B09WGJVR4Z)

## LinkedIn

- [Ryan Peterman](https://www.linkedin.com/in/ryanlpeterman/): Author of "The Developing Dev" newsletter
- [Jordan Cutler](https://www.linkedin.com/in/jordancutler1/): Author of "High Growth Engineer" newsletter
- [Gergely Orosz](https://www.linkedin.com/in/gergelyorosz/): Author of "The Pragmatic Engineer" newsletter
- [Addy Osmani](https://www.linkedin.com/in/addyosmani/): Author of "Peak Performance" newsletter and Engineering leader at Google
- [Alex Chiou](https://www.linkedin.com/in/alexander-chiou/): Co-founder of Taro
- [Rahul Pandey](https://www.linkedin.com/in/rpandey1234/): Co-founder of Taro
- [Alex Xu](https://www.linkedin.com/in/alexxubyte/): Founder of ByteByteGo
- [Navdeep Singh](https://www.linkedin.com/in/navdeep-singh-3aaa14161/): Creator of NeetCode
- [Yangshun Tay](https://www.linkedin.com/in/yangshun/): Creator of Tech Interview Handbook, Blind 75 and CEO of GreatFrontEnd (me)!
- [Neo Kim](https://www.linkedin.com/in/nk-systemdesign-one/): Creator of "System Design One" newsletter
- [Caleb Mellas](https://www.linkedin.com/in/calebmellas/): Creator of "Level Up Software Engineering" newsletter
- [Alexandre Zajac](https://www.linkedin.com/in/alexandre-zajac/): Creator of the "Hungry Minds" newsletter

## YouTube

- [Fireship](https://www.youtube.com/@Fireship/)
- [NeetCode](https://www.youtube.com/@NeetCode/)
- [LeadDev](https://www.youtube.com/@LeadDev/)

## Communities

- [Taro](https://www.jointaro.com/)
- [Kent C. Dodds Discord Community](https://kentcdodds.com/discord)
- [GreatFrontEnd](https://discord.com/invite/NDFx8f6P6B)

## References

- [Path to Senior Engineer Handbook](https://github.com/jordan-cutler/path-to-senior-engineer-handbook)
